Bug 125355 - ftp/smbftpd procname error
Summary: ftp/smbftpd procname error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-07 05:20 UTC by johnpupu
Modified: 2008-07-15 03:40 UTC (History)
0 users

See Also:


Attachments
patch.txt (1.00 KB, text/plain)
2008-07-12 08:09 UTC, Jui-Nan Lin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description johnpupu 2008-07-07 05:20:02 UTC
you can't use rc.d/smbftpd to control smbftpd

Fix: 

#procname=smbftpd
procname=/usr/local/sbin/smbftpd
How-To-Repeat: you can't use rc.d/smbftpd to control smbftpd
Comment 1 Edwin Groothuis freebsd_committer 2008-07-07 12:50:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this category PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-07-07 12:50:40 UTC
Maintainer of ftp/smbftpd,

Please note that PR ports/125355 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/125355

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-07-07 12:50:42 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Jui-Nan Lin 2008-07-12 08:09:22 UTC
Hi,

Please apply the patch in the attachment file. Thank you!

diff -ruN --exclude=CVS /usr/ports/ftp/smbftpd/Makefile
/home/users/jnlin/ports/smbftpd/Makefile
--- /usr/ports/ftp/smbftpd/Makefile	2008-06-25 10:52:33.000000000 +0800
+++ /home/users/jnlin/ports/smbftpd/Makefile	2008-07-12 15:05:43.475164593 +0800
@@ -7,6 +7,7 @@

 PORTNAME=	smbftpd
 PORTVERSION=	2.0
+PORTREVISION=	1
 CATEGORIES=	ftp
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE} \
 		http://www.twbsd.org/download/download.php?file=smbftpd/
diff -ruN --exclude=CVS /usr/ports/ftp/smbftpd/files/smbftpd.sh.in
/home/users/jnlin/ports/smbftpd/files/smbftpd.sh.in
--- /usr/ports/ftp/smbftpd/files/smbftpd.sh.in	2008-06-25
10:52:33.000000000 +0800
+++ /home/users/jnlin/ports/smbftpd/files/smbftpd.sh.in	2008-07-12
15:04:12.521332045 +0800
@@ -22,7 +22,7 @@
 smbftpd_config=${smbftpd_config:-"%%PREFIX%%/etc/smbftpd/smbftpd.conf"}
 required_files=${smbftpd_config}
 pidfile=/var/run/smbftpd.pid
-procname=smbftpd
+procname=%%PREFIX%%/sbin/smbftpd

 smbftpd_enable=${smbftpd_enable:-"NO"}
 command_args="-D -s ${smbftpd_config}"
Comment 5 Beech Rintoul freebsd_committer 2008-07-15 03:16:56 UTC
State Changed
From-To: feedback->open

Maintainer response
Comment 6 dfilter service freebsd_committer 2008-07-15 03:39:00 UTC
beech       2008-07-15 02:38:51 UTC

  FreeBSD ports repository

  Modified files:
    ftp/smbftpd          Makefile 
    ftp/smbftpd/files    smbftpd.sh.in 
  Log:
  - Fix error in procname path
  
  PR:             ports/125355
  Submitted by:   Johnpupu <johnpupu@gmail.com>
  Approved by:    Jui-Nan Lin <jnlin@csie.nctu.edu.tw> (maintainer)
  
  Revision  Changes    Path
  1.4       +1 -0      ports/ftp/smbftpd/Makefile
  1.2       +1 -1      ports/ftp/smbftpd/files/smbftpd.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Beech Rintoul freebsd_committer 2008-07-15 03:39:10 UTC
State Changed
From-To: open->closed

Committed, Thanks!